Get RFQs
This method returns a list of Block RFQs that were either created by the user or assigned to them as a maker, sorted in descending order. Trades and markPrice are only visible for the filled Block RFQ. When a blockRfqId is specified, only that particular Block RFQ will be returned. If called by a taker, result will additionally include makers list and label if previously provided. If called by the maker, the trades will include the maker's alias, but only for trades in which this maker participated. Can be optionally filtered by currency.
Request
POST /api/block/rfqs/get_rfqs
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| continuation | int | false | The continuation parameter specifies the starting point for fetching historical Block RFQs. When provided, the endpoint returns Block RFQs, starting from the specified ID and continuing backward (e.g., if continuation is 50, results will include Block RFQs of ID 49, 48, etc.) |
| count | int | false | Count of Block RFQs returned |
| role | string | false | The role of the desk in the created RFQ. Valid values include any, taker, maker. Role of the user in Block RFQ. When the any role is selected, the method returns all Block RFQs in which the user has participated, either as the taker or as a maker |
| status | string | false | State of Block RFQ. Valid values: open, filled, traded, cancelled, expired, closed |
| currency | string | false | The currency the Instrument is exposed to. Valid values include BTC, ETH |
| blockRfqId | string | false | ID of the Block RFQ |
Request Example
{
"rid": 10005,
"method": "block/rfqs/get_rfqs",
"params": {
"count": 100,
"role": "taker",
"status": "cancelled",
"currency": "BTC"
}
}
Response
| Name | Type | Description |
|---|---|---|
| continuation | string | Continuation token for pagination |
| blockRfqs | array | Array of Objects with details related to specific Instruments |
| > blockRfqId | string | The exchange created unique identifier of the RFQ |
| > createdAt | long | The time in UNIX milliseconds since the epoch when the RFQ was created |
| > expiresAt | long | The time in UNIX milliseconds since the epoch when the RFQ expires |
| > makers | array | List of targeted Block RFQ makers |
| > role | string | The role of the user to the RFQ |
| > taker | string | Taker alias. Present only when disclosed is true |
| > legs | array | The composite Instrument legs of the RFQ |
| >> instrumentName | string | The real exchange instrument name |
| >> ratio | string | The relative multiplier applied to the quantity of the Instrument's amount relative to the amount of the RFQ. Maximum of 2 decimal places. For hedge leg, it's null |
| >> side | string | The direction of the composite leg relative to the RFQ. Valid values include buy, or sell |
| > quantity | string | The total size of the composite Instrument legs, denominated in the clearingCurrency |
| > disclosed | boolean | Indicates whether the RFQ was created as non-anonymous, meaning taker and maker aliases are visible to counterparties |
| > label | string | RFQ creator label of the RFQ |
| > status | string | The availability of the RFQ to trade. Valid values include (created,open,filled,traded,cancelled,expired,closed,failed) |
| > markPrice | string | A combination market price of non-hedged leg |
| > minTradeAmount | string | Minimum amount for trading |
| > includedInTakerRating | boolean | Indicates whether the RFQ is included in the taker's rating calculation. Present only for closed RFQs created by the requesting taker |
| > asks | array | Ask quotes |
| >> quantity | string | This value multiplied by the ratio of a leg gives trade size on that leg |
| >> executionInstruction | string | Execution instruction of the quote. Default - any_part_of |
| >> expiresAt | long | The timestamp when the quote expires (milliseconds since the Unix epoch), equal to the earliest expiry of placed quotes |
| >> lastUpdatedAt | long | Timestamp of the last update of the quote (milliseconds since the UNIX epoch) |
| >> makers | array | Maker of the quote |
| >> price | string | Price of a quote |
| > bids | array | Bid quotes |
| >> quantity | string | This value multiplied by the ratio of a leg gives trade size on that leg |
| >> executionInstruction | string | Execution instruction of the quote. Default - any_part_of |
| >> expiresAt | long | The timestamp when the quote expires (milliseconds since the Unix epoch), equal to the earliest expiry of placed quotes |
| >> lastUpdatedAt | long | Timestamp of the last update of the quote (milliseconds since the UNIX epoch) |
| >> makers | array | Maker of the quote |
| >> price | string | Price of a quote |
| > hedge | object | Hedge leg of the Block RFQ. There is only one hedge leg allowed per Block RFQ |
| >> instrumentName | string | The id of the Signalplus's Instrument |
| >> quantity | string | This value multiplied by the ratio of a leg gives trade size on that leg |
| >> side | string | The direction of the leg. Valid values include buy and sell |
| >> price | string | Hedge leg price |
Response Example
{
"rid": 10005,
"result": {
"continuation": "253107",
"blockRfqs": [
{
"blockRfqId": "253107",
"quantity": "50.0",
"comboId": "BTC-26JUN26-110000-C",
"createdAt": 1755153123044,
"expiresAt": 1755153423044,
"role": "taker",
"legs": [
{
"instrumentName": "BTC-26JUN26-110000-C",
"side": "buy",
"ratio": "1"
}
],
"status": "open",
"disclosed": false,
"minTradeAmount": "0.1",
"takerRating": "20+"
}
]
}
}